Loading...
Searching...
No Matches
ISMRMRD::ISMRMRD_Dataset Struct Reference

`#include <dataset.h>`

## Public Attributes

char * | filename
char * | groupname
hid_t | fileid
hid_t | transfer_properties

## Detailed Description

Interface for accessing an ISMRMRD Data Set stored on disk in HDF5 format.

A given ISMRMRD dataset if assumed to be stored under one group name in the HDF5 file. To make the datasets consistent, this library enforces that the XML configuration is stored in the variable groupname/xml and the Acquisitions are stored in the variable groupname/data.

The documentation for this struct was generated from the following file:

- dataset.h